/******************************************************************************
 * Product: Compiere ERP & CRM Smart Business Solution                        *
 * Copyright (C) 1999-2007 ComPiere, Inc. All Rights Reserved.                *
 * This program is free software, you can redistribute it and/or modify it    *
 * under the terms version 2 of the GNU General Public License as published   *
 * by the Free Software Foundation. This program is distributed in the hope   *
 * that it will be useful, but WITHOUT ANY WARRANTY, without even the implied *
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.           *
 * See the GNU General Public License for more details.                       *
 * You should have received a copy of the GNU General Public License along    *
 * with this program, if not, write to the Free Software Foundation, Inc.,    *
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.                     *
 * For the text or an alternative of this public license, you may reach us    *
 * ComPiere, Inc., 3600 Bridge Parkway #102, Redwood City, CA 94065, USA      *
 * or via info@compiere.org or http://www.compiere.org/license.html           *
 *****************************************************************************/
package org.compiere.model;

/** Generated Model - DO NOT CHANGE */
import java.sql.*;
import java.math.*;
import org.compiere.framework.*;
import org.compiere.util.*;
/** Generated Model for AD_UserDef_Tab
 *  @author Jorg Janke (generated) 
 *  @version Release 3.0.0 - $Id: GenerateModel.java,v 1.1 2008/01/16 07:34:32 jrmt Exp $ */
public class X_AD_UserDef_Tab extends PO
{
/** Standard Constructor
@param ctx context
@param AD_UserDef_Tab_ID id
@param trxName transaction
*/
public X_AD_UserDef_Tab (Ctx ctx, int AD_UserDef_Tab_ID, String trxName)
{
super (ctx, AD_UserDef_Tab_ID, trxName);
/** if (AD_UserDef_Tab_ID == 0)
{
setAD_Tab_ID (0);
setAD_UserDef_Tab_ID (0);
setAD_UserDef_Win_ID (0);
}
 */
}
/** Load Constructor 
@param ctx context
@param rs result set 
@param trxName transaction
*/
public X_AD_UserDef_Tab (Ctx ctx, ResultSet rs, String trxName)
{
super (ctx, rs, trxName);
}
/** Serial Version No */
static final long serialVersionUID = 27467299099789L;
/** Last Updated Timestamp 2007-07-23 15:56:23.0 */
public static final long updatedMS = 1185173783000L;
/** AD_Table_ID=466 */
public static final int Table_ID=466;

/** TableName=AD_UserDef_Tab */
public static final String Table_Name="AD_UserDef_Tab";

protected static KeyNamePair Model = new KeyNamePair(466,"AD_UserDef_Tab");

protected BigDecimal accessLevel = new BigDecimal(6);
/** AccessLevel
@return 6 - System - Client 
*/
protected int get_AccessLevel()
{
return accessLevel.intValue();
}
/** Load Meta Data
@param ctx context
@return PO Info
*/
protected POInfo initPO (Ctx ctx)
{
POInfo poi = POInfo.getPOInfo (ctx, Table_ID);
return poi;
}
/** Info
@return info
*/
public String toString()
{
StringBuffer sb = new StringBuffer ("X_AD_UserDef_Tab[").append(get_ID()).append("]");
return sb.toString();
}
/** Set Tab.
@param AD_Tab_ID Tab within a Window */
public void setAD_Tab_ID (int AD_Tab_ID)
{
if (AD_Tab_ID < 1) throw new IllegalArgumentException ("AD_Tab_ID is mandatory.");
set_Value ("AD_Tab_ID", new Integer(AD_Tab_ID));
}
/** Get Tab.
@return Tab within a Window */
public int getAD_Tab_ID() 
{
Integer ii = (Integer)get_Value("AD_Tab_ID");
if (ii == null) return 0;
return ii.intValue();
}
/** Get Record ID/ColumnName
@return ID/ColumnName pair */
public KeyNamePair getKeyNamePair() 
{
return new KeyNamePair(get_ID(), String.valueOf(getAD_Tab_ID()));
}
/** Set User defined Tab.
@param AD_UserDef_Tab_ID User defined Tab */
public void setAD_UserDef_Tab_ID (int AD_UserDef_Tab_ID)
{
if (AD_UserDef_Tab_ID < 1) throw new IllegalArgumentException ("AD_UserDef_Tab_ID is mandatory.");
set_ValueNoCheck ("AD_UserDef_Tab_ID", new Integer(AD_UserDef_Tab_ID));
}
/** Get User defined Tab.
@return User defined Tab */
public int getAD_UserDef_Tab_ID() 
{
Integer ii = (Integer)get_Value("AD_UserDef_Tab_ID");
if (ii == null) return 0;
return ii.intValue();
}
/** Set User defined Window.
@param AD_UserDef_Win_ID User defined Window */
public void setAD_UserDef_Win_ID (int AD_UserDef_Win_ID)
{
if (AD_UserDef_Win_ID < 1) throw new IllegalArgumentException ("AD_UserDef_Win_ID is mandatory.");
set_ValueNoCheck ("AD_UserDef_Win_ID", new Integer(AD_UserDef_Win_ID));
}
/** Get User defined Window.
@return User defined Window */
public int getAD_UserDef_Win_ID() 
{
Integer ii = (Integer)get_Value("AD_UserDef_Win_ID");
if (ii == null) return 0;
return ii.intValue();
}
/** Set Description.
@param Description Optional short description of the record */
public void setDescription (String Description)
{
if (Description != null && Description.length() > 255)
{
log.warning("Length > 255 - truncated");
Description = Description.substring(0,255);
}
set_Value ("Description", Description);
}
/** Get Description.
@return Optional short description of the record */
public String getDescription() 
{
return (String)get_Value("Description");
}
/** Set Display Logic.
@param DisplayLogic If the Field is displayed, the result determines if the field is actually displayed */
public void setDisplayLogic (String DisplayLogic)
{
if (DisplayLogic != null && DisplayLogic.length() > 2000)
{
log.warning("Length > 2000 - truncated");
DisplayLogic = DisplayLogic.substring(0,2000);
}
set_Value ("DisplayLogic", DisplayLogic);
}
/** Get Display Logic.
@return If the Field is displayed, the result determines if the field is actually displayed */
public String getDisplayLogic() 
{
return (String)get_Value("DisplayLogic");
}
/** Set Comment.
@param Help Comment, Help or Hint */
public void setHelp (String Help)
{
if (Help != null && Help.length() > 2000)
{
log.warning("Length > 2000 - truncated");
Help = Help.substring(0,2000);
}
set_Value ("Help", Help);
}
/** Get Comment.
@return Comment, Help or Hint */
public String getHelp() 
{
return (String)get_Value("Help");
}

/** IsDisplayed AD_Reference_ID=319 */
public static final int ISDISPLAYED_AD_Reference_ID=319;
/** No = N */
public static final String ISDISPLAYED_No = "N";
/** Yes = Y */
public static final String ISDISPLAYED_Yes = "Y";
/** Is test a valid value.
@param test testvalue
@returns true if valid **/
public boolean isIsDisplayedValid (String test)
{
return test == null || test.equals("N") || test.equals("Y");
}
/** Set Displayed.
@param IsDisplayed Determines, if this field is displayed */
public void setIsDisplayed (String IsDisplayed)
{
if (!isIsDisplayedValid(IsDisplayed))
throw new IllegalArgumentException ("IsDisplayed Invalid value - " + IsDisplayed + " - Reference_ID=319 - N - Y");
if (IsDisplayed != null && IsDisplayed.length() > 1)
{
log.warning("Length > 1 - truncated");
IsDisplayed = IsDisplayed.substring(0,1);
}
set_Value ("IsDisplayed", IsDisplayed);
}
/** Get Displayed.
@return Determines, if this field is displayed */
public String getIsDisplayed() 
{
return (String)get_Value("IsDisplayed");
}

/** IsInsertRecord AD_Reference_ID=319 */
public static final int ISINSERTRECORD_AD_Reference_ID=319;
/** No = N */
public static final String ISINSERTRECORD_No = "N";
/** Yes = Y */
public static final String ISINSERTRECORD_Yes = "Y";
/** Is test a valid value.
@param test testvalue
@returns true if valid **/
public boolean isIsInsertRecordValid (String test)
{
return test == null || test.equals("N") || test.equals("Y");
}
/** Set Insert Record.
@param IsInsertRecord The user can insert a new Record */
public void setIsInsertRecord (String IsInsertRecord)
{
if (!isIsInsertRecordValid(IsInsertRecord))
throw new IllegalArgumentException ("IsInsertRecord Invalid value - " + IsInsertRecord + " - Reference_ID=319 - N - Y");
if (IsInsertRecord != null && IsInsertRecord.length() > 1)
{
log.warning("Length > 1 - truncated");
IsInsertRecord = IsInsertRecord.substring(0,1);
}
set_Value ("IsInsertRecord", IsInsertRecord);
}
/** Get Insert Record.
@return The user can insert a new Record */
public String getIsInsertRecord() 
{
return (String)get_Value("IsInsertRecord");
}

/** IsMultiRowOnly AD_Reference_ID=319 */
public static final int ISMULTIROWONLY_AD_Reference_ID=319;
/** No = N */
public static final String ISMULTIROWONLY_No = "N";
/** Yes = Y */
public static final String ISMULTIROWONLY_Yes = "Y";
/** Is test a valid value.
@param test testvalue
@returns true if valid **/
public boolean isIsMultiRowOnlyValid (String test)
{
return test == null || test.equals("N") || test.equals("Y");
}
/** Set Multi Row Only.
@param IsMultiRowOnly This applies to Multi-Row view only */
public void setIsMultiRowOnly (String IsMultiRowOnly)
{
if (!isIsMultiRowOnlyValid(IsMultiRowOnly))
throw new IllegalArgumentException ("IsMultiRowOnly Invalid value - " + IsMultiRowOnly + " - Reference_ID=319 - N - Y");
if (IsMultiRowOnly != null && IsMultiRowOnly.length() > 1)
{
log.warning("Length > 1 - truncated");
IsMultiRowOnly = IsMultiRowOnly.substring(0,1);
}
set_Value ("IsMultiRowOnly", IsMultiRowOnly);
}
/** Get Multi Row Only.
@return This applies to Multi-Row view only */
public String getIsMultiRowOnly() 
{
return (String)get_Value("IsMultiRowOnly");
}

/** IsReadOnly AD_Reference_ID=319 */
public static final int ISREADONLY_AD_Reference_ID=319;
/** No = N */
public static final String ISREADONLY_No = "N";
/** Yes = Y */
public static final String ISREADONLY_Yes = "Y";
/** Is test a valid value.
@param test testvalue
@returns true if valid **/
public boolean isIsReadOnlyValid (String test)
{
return test == null || test.equals("N") || test.equals("Y");
}
/** Set Read Only.
@param IsReadOnly Field is read only */
public void setIsReadOnly (String IsReadOnly)
{
if (!isIsReadOnlyValid(IsReadOnly))
throw new IllegalArgumentException ("IsReadOnly Invalid value - " + IsReadOnly + " - Reference_ID=319 - N - Y");
if (IsReadOnly != null && IsReadOnly.length() > 1)
{
log.warning("Length > 1 - truncated");
IsReadOnly = IsReadOnly.substring(0,1);
}
set_Value ("IsReadOnly", IsReadOnly);
}
/** Get Read Only.
@return Field is read only */
public String getIsReadOnly() 
{
return (String)get_Value("IsReadOnly");
}

/** IsSingleRow AD_Reference_ID=319 */
public static final int ISSINGLEROW_AD_Reference_ID=319;
/** No = N */
public static final String ISSINGLEROW_No = "N";
/** Yes = Y */
public static final String ISSINGLEROW_Yes = "Y";
/** Is test a valid value.
@param test testvalue
@returns true if valid **/
public boolean isIsSingleRowValid (String test)
{
return test == null || test.equals("N") || test.equals("Y");
}
/** Set Single Row Layout.
@param IsSingleRow Default for toggle between Single- and Multi-Row (Grid) Layout */
public void setIsSingleRow (String IsSingleRow)
{
if (!isIsSingleRowValid(IsSingleRow))
throw new IllegalArgumentException ("IsSingleRow Invalid value - " + IsSingleRow + " - Reference_ID=319 - N - Y");
if (IsSingleRow != null && IsSingleRow.length() > 1)
{
log.warning("Length > 1 - truncated");
IsSingleRow = IsSingleRow.substring(0,1);
}
set_Value ("IsSingleRow", IsSingleRow);
}
/** Get Single Row Layout.
@return Default for toggle between Single- and Multi-Row (Grid) Layout */
public String getIsSingleRow() 
{
return (String)get_Value("IsSingleRow");
}
/** Set Name.
@param Name Alphanumeric identifier of the entity */
public void setName (String Name)
{
if (Name != null && Name.length() > 60)
{
log.warning("Length > 60 - truncated");
Name = Name.substring(0,60);
}
set_Value ("Name", Name);
}
/** Get Name.
@return Alphanumeric identifier of the entity */
public String getName() 
{
return (String)get_Value("Name");
}
/** Set Read Only Logic.
@param ReadOnlyLogic Logic to determine if field is read only (applies only when field is read-write) */
public void setReadOnlyLogic (String ReadOnlyLogic)
{
if (ReadOnlyLogic != null && ReadOnlyLogic.length() > 2000)
{
log.warning("Length > 2000 - truncated");
ReadOnlyLogic = ReadOnlyLogic.substring(0,2000);
}
set_Value ("ReadOnlyLogic", ReadOnlyLogic);
}
/** Get Read Only Logic.
@return Logic to determine if field is read only (applies only when field is read-write) */
public String getReadOnlyLogic() 
{
return (String)get_Value("ReadOnlyLogic");
}
/** Set Sequence.
@param SeqNo Method of ordering elements;
 lowest number comes first */
public void setSeqNo (int SeqNo)
{
set_Value ("SeqNo", new Integer(SeqNo));
}
/** Get Sequence.
@return Method of ordering elements;
 lowest number comes first */
public int getSeqNo() 
{
Integer ii = (Integer)get_Value("SeqNo");
if (ii == null) return 0;
return ii.intValue();
}
}
